Page MenuHomePhabricator

Make sure $wgUseLocalMessageCache works with multiple DCs
Closed, ResolvedPublic

Description

$wgUseLocalMessageCache using a hash key in memcached to know if the disk cache is valid. Make sure that works with scap.

Event Timeline

aaron created this task.May 15 2015, 4:05 AM
aaron claimed this task.
aaron raised the priority of this task from to Normal.
aaron updated the task description. (Show Details)
aaron added projects: Availability, Epic.
aaron added subscribers: Gilles, GWicke, mark and 7 others.
aaron moved this task from Backlog to Doing on the Availability board.May 19 2015, 7:08 PM

Change 212192 had a related patch set uploaded (by Aaron Schulz):
Moved MessageCache updates on edit to MessageCacheUpdateJob

https://gerrit.wikimedia.org/r/212192

Change 212461 had a related patch set uploaded (by Aaron Schulz):
Made MessageCache use the WAN cache

https://gerrit.wikimedia.org/r/212461

Change 212192 abandoned by Aaron Schulz:
[WIP] Made MessageCache updates on edit trigger MessageCacheUpdateJob

Reason:
Going with https://gerrit.wikimedia.org/r/#/c/212461/ for now

https://gerrit.wikimedia.org/r/212192

aaron moved this task from Doing to Blocked on the Availability board.May 26 2015, 1:55 AM

Change 212461 merged by jenkins-bot:
Made MessageCache use the WAN cache

https://gerrit.wikimedia.org/r/212461

Krinkle set Security to None.
Krinkle added a subscriber: Krinkle.

@aaron With https://gerrit.wikimedia.org/r/212461 merged. Is this task resolved?

aaron closed this task as Resolved.Jun 23 2015, 6:53 AM